Difference between revisions of "Draft Line/pl"

From FreeCAD Documentation
Jump to: navigation, search
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 20: Line 20:
 
* Press {{KEY|CTRL}}+{{KEY|Z}} or press the {{KEY|[[Image:Draft UndoLine.png|12px]] '''[[Draft_UndoLine|Undo]]'''}} button to undo the last point.
 
* Press {{KEY|CTRL}}+{{KEY|Z}} or press the {{KEY|[[Image:Draft UndoLine.png|12px]] '''[[Draft_UndoLine|Undo]]'''}} button to undo the last point.
 
* Press {{KEY|ESC}} or the {{KEY|'''Cancel'''}} button to abort the current Line command.
 
* Press {{KEY|ESC}} or the {{KEY|'''Cancel'''}} button to abort the current Line command.
 +
* If several connected [[Draft Line|Draft Lines]] are selected they can be transformed into a wire by pressing the '''Draft Wire''' Button. {{Version|0.17}}
  
 
==Properties==
 
==Properties==

Revision as of 21:30, 20 August 2016

Draft Line.svg Draft Line

Lokalizacja menu
Draft → Line
Workbenches
Draft, Arch
Domyślny skrót
L I
Wprowadzono w wersji
-
Zobacz także
Draft Wire


Description

The Line tool creates a straight, two-points line in the current work plane. It takes the linewidth and color previously set on the Tasks tab. The Line tool behaves exactly like the Draft Wire tool, except that it stops after two points.

Draft Line example.jpg

How to use

  1. Press the Draft Line.png Draft Line button, or press L then I keys
  2. Click a first point on the 3D view, or type a coordinate
  3. Click a second point on the 3D view, or type a coordinate

Options

  • Press X, Y or Z after the first point to constrain the second point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the second point are relative to the first one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, the Line tool will restart after you give the second point, allowing you to draw another line segment without pressing the Line button again.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Press SHIFT while drawing to constrain your second point horizontally or vertically in relation to the first one.
  • Press CTRL+Z or press the Draft UndoLine.png Undo button to undo the last point.
  • Press ESC or the Cancel button to abort the current Line command.
  • If several connected Draft Lines are selected they can be transformed into a wire by pressing the Draft Wire Button. introduced in version 0.17

Properties

  • DATAStart: The start point
  • DATAEnd: The end point
  • DATASubdivisions: Divides the line with the given number of subdivisions introduced in version 0.16

Scripting

The Line tool can by used in macros and from the python console by using the following function:

makeLine (Vector, Vector)
  • Creates a line between the two given vectors. The current draft linewidth and color will be used.
  • Returns the newly created object.

Example:

import FreeCAD, Draft
Draft.makeLine(FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,0,0))
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎中文(中国大陆)‎